# asSBCInfo Struct Reference

Information on a bytecode instruction. More...

List of all members.

## Public Attributes
asEBCInstr | bc
| Bytecode instruction id.
asEBCType | type
| Instruction argument layout.
int | stackInc
| How much this argument increments the stack pointer. 0xFFFF if it depends on the arguments.
const char * | name
| Name of the instruction for debugging.

## Detailed Description

This structure can be obtained for each bytecode instruction by looking it up in the asBCInfo array.

The size of the instruction can be obtained by looking up the type in the asBCTypeSize array.

See also:
  JIT compilation

The documentation for this struct was generated from the following file:

- angelscript.h